﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TellerSystem.Contract.ContractBase
{
    /// <summary>
    /// 交易帮助接口
    /// </summary>
    public interface ITradeHelper
    { 
        /// <summary>
        /// 业务总线
        /// </summary>
        TradeBusHelper TradeBus { get; }

        /// <summary>
        /// 交易信息
        /// </summary>
        TradeInfoHelper TradeInfo { get; }

        /// <summary>
        /// 操作接口
        /// </summary> 
        TradeAPIsHelper TradeAPIs { get; }

        /// <summary>
        /// 资源集合
        /// </summary>
        TradeResourcesHelper TradeResources { get; }
    }
}
