import { TradeBusHelper } from './TradeBusHelper'
import { TradeInfoHelper } from './TradeInfoHelper'
import { TradeAPIsHelper } from './TradeAPIsHelper'
import { TradeResourcesHelper } from './TradeResourcesHelper'

/**
 * 交易帮助接口
 */
export interface ITradeHelper {
    /**
     * 业务总线
     */
    readonly TradeBus: TradeBusHelper

    /**
     * 交易信息
     */
    readonly TradeInfo: TradeInfoHelper

    /**
     * 操作接口
     */
    readonly TradeAPIs: TradeAPIsHelper

    /**
     * 资源集合
     */
    readonly TradeResources: TradeResourcesHelper
}