import { PageBase } from './PageBase'
import { defineComponent } from 'vue'

/**
 * 主界面框架基础
 */
export abstract class HomePageBase extends PageBase {
    constructor() {
        super()
    }

    /**
     * 加载交易宿主
     * @param host 宿主元素
     */
    public LoadTradeHost(host: HTMLElement): void {
        // 实现加载逻辑
    }
}

// Vue组件封装
export const HomePageComponent = defineComponent({
    extends: HomePageBase,
    methods: {
        LoadTradeHost(host: HTMLElement) {
            super.LoadTradeHost(host)
        }
    }
})